Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::PasswordSettings Struct Reference

Password settings. More...

## Public Attributes
boolean | enableAging
| `true` to enable password aging
int | agingInterval
| Aging interval in days.
boolean | enableStrongReq
| `true` to enable strong password requirements
int | minPwLength
| Minimum password length.
int | maxPwLength
| Maximum password length.
boolean | enforceLower
| Passwords must contain at least one lower case character.
boolean | enforceUpper
| Passwords must contain at least one upper case character.
boolean | enforceNumeric
| Passwords must contain at least one numeric character.
boolean | enforceSpecial
| Passwords must contain at least one special character.
int | pwHistoryDepth
| Number of entries in password history.

## Detailed Description

Password settings.

The documentation for this struct was generated from the following file:

- Security.idl